body {
    font-family: 'Quattrocento Sans', sans-serif;
}

.nav {
    background: black;
    padding: 20px;
}

.title {
    color: white;
    margin-top: -12px;
    letter-spacing: 2px;
}

.buttons {
    margin-top: 8px;
    align-items: right;
    text-align: right;
    word-spacing: 15px;
}

.link-nav {
    background: #f32836;
    border: 2px solid #f32836;
    color: black;
    padding: 7px;
    text-decoration: none;
    border-radius: 10px;
    outline: none;
}

.link-nav:hover {
    background: rgb(211, 62, 62);
    border: 2px solid rgb(211, 62, 62);
    color: white;
    padding: 7px;
    text-decoration: none;
    border-radius: 10px;
}

.button-nav1 {
    background: #76bd22;
    border: 2px solid #76bd22;
    color: black;
    padding: 5px;
    border-radius: 10px; 
    outline: none;
}

.button-nav1:hover {
    background: rgb(43, 128, 43);
    border: 2px solid rgb(43, 128, 43);
    color: white;
    padding: 5px;
    border-radius: 10px;
}

.button-nav2 {
    background: #ffda00;
    border: 2px solid #ffda00;
    color: black;
    padding: 5px;
    border-radius: 10px;
    outline: none;
}

.button-nav2a {
    background: #54c9e8;
    border: 2px solid #54c9e8;
    color: black;
    padding: 5px;
    border-radius: 10px;
    outline: none;
}

.button-nav2b {
    background: #ff9400;
    border: 2px solid #ff9400;
    color: black;
    padding: 5px;
    border-radius: 10px;
    outline: none;
}

.button-nav2:hover {
    background: rgb(182, 182, 79);
    border: 2px solid rgb(182, 182, 79);
    color: white;
    padding: 5px;
    border-radius: 10px;
}

.selections {
    color: black;
    outline: none;
    text-decoration: none;
    padding: 5px;
}

.selections:hover {
    color: rgb(138, 138, 138);
    text-decoration: none;
    outline: none;
    padding: 5px;
}

.selected {
    color: rgb(6, 169, 6);
    outline: none;
    padding: 5px;
}

.selected:hover {
    color: rgb(6, 169, 6);
    text-decoration: none;
    outline: none;
    padding: 5px;
}

#draggables-container-walls {
    height: 320px;
    overflow: scroll;
    display: none;
    margin: 0px 50px;
}

#draggables-container-roofs {
    height: 320px;
    overflow: scroll;
    display: none;
    margin: 0px 50px;
}

#draggables-container-doors {
    height: 320px;
    overflow: scroll;
    display: none;
    margin: 0px 50px;
}

#draggables-container-windows {
    height: 320px;
    overflow: scroll;
    display: none;
    margin: 0px 50px;
}

#draggables-container-trees {
    height: 320px;
    overflow: scroll;
    display: none;
    margin: 0px 50px;
}

#draggables-container-water {
    height: 320px;
    overflow: scroll;
    display: none;
    margin: 0px 50px;
}

#draggables-container-street {
    height: 320px;
    overflow: scroll;
    display: none;
    margin: 0px 50px;
}

#draggables-container-people {
    height: 320px;
    overflow: scroll;
    display: none;
    margin: 0px 50px;
}

#draggables-container-other {
    height: 320px;
    overflow: scroll;
    display: none;
    margin: 0px 50px;
}

#draggables-container-rooms {
    height: 320px;
    overflow: scroll;
    display: none;
    margin: 0px 50px;
}

#draggables-container-set1 {
    height: 320px;
    overflow: scroll;
    display: none;
    margin: 0px 50px;
}

#draggables-container-set2 {
    height: 320px;
    overflow: scroll;
    display: none;
    margin: 0px 50px;
}

#draggables-container-set3 {
    height: 320px;
    overflow: scroll;
    display: none;
    margin: 0px 50px;
}

#draggables-container-set4 {
    height: 320px;
    overflow: scroll;
    display: none;
    margin: 0px 50px;
}

#draggables-container-set5 {
    height: 320px;
    overflow: scroll;
    display: none;
    margin: 0px 50px;
}

::-webkit-scrollbar {
    -webkit-appearance: none;
    width: 7px;
  }
  
  ::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: rgba(0, 0, 0, .5);
    box-shadow: 0 0 1px rgba(255, 255, 255, .5);
  }

a {
    cursor: pointer;
}

/* Modal */
.modal {
    display: none;
    position: fixed;
    z-index: 6;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.473);
}
#modalImg {
    margin-top: 5%;
    margin-left: 5%;
    padding: 20px;
    width: 500px;
    height: 500px;
}

.instructions {
    line-height: 5%;
}

#intro {
    display: none;
}

.arrows {
    font-size: 5rem;
    margin: 30px;
    cursor: pointer;
    outline: none;
}

.arrows:active {
    outline: none;
}

.arrows:focus {
    outline: none;
}

.arrows:hover {
    color: #76bd22;
    outline: none;
}

#selectShape {
    background: #76bd22;
    border: 2px solid #76bd22;
    color: black;
    padding: 10px 25px;
    border-radius: 10px; 
    outline: none;
    letter-spacing: 1px;
    font-size: 18px;
}

#selectShape:hover {
    background: rgb(43, 128, 43);
    border: 2px solid rgb(43, 128, 43);
    color: white;
    padding: 10px 25px;
    border-radius: 10px;
    letter-spacing: 1px;
    font-size: 18px;
}

#selectBtn {
    padding: 0;
    margin: 0;
    font-size: 25px;
    font-family: 'Quattrocento Sans', sans-serif;
    letter-spacing: 0em;
}

#interior-selections {
    display: none;
}

#interior-rooms {
    display: none;
}



.col {
      float: left;
      padding: 5px 5px 5px 5px;
      margin: 5px 5px 5px 5px;
      background: rgb(238, 238, 238);
  }
  #col1 {
      width: 840px;
      height: 610px;
      border: 1px solid black;
  }
  img.drag {
      width: 40px;
      height: 40px;
      position: relative;
  }
  #droppable {
      width: 580px;
      height: 610px;
      border: 1px solid black;
      /* background-image: url("images/backgrounds/background1.jpg"); */
      /* background-repeat: no-repeat;
      background-size: 800px 610px; */
  }
  #background {
      width: 570px;
      height: 600px;
  }
  .right {
      float: right;
  }
  .left {
      float: left;
  }
  .center {
      float: center;
  }
  .clear {
      clear: both;
  }
  ul li {
      list-style: none;
  }

  li {
      list-style: none;
  }

  .drag-list img {
      width: 80px;
      vertical-align: middle;
      cursor: move;
  }
  .drag-list ul {
      margin: 0px;
      padding: 0px;
  }
  .drag-list li {
      margin-bottom: 5px;
  }
  #remove-drag {
      display: none;
  }
  .remove-drag-hover {
      background-color: #ED4949 !important;
  }
  .drop-area {
      background-color: #afd1b2;
  }
  .xicon {
      margin-top: 4px;
      position: absolute;
      margin-left: -17px;
      color: #FFF;
      font: message-box;
      text-decoration: none;
  }
  .xicon:hover {
      background-color: #fff;
      color: #000;
      width: 13px;
      height: 20px;
      text-align: center;
  }
  .tip {
      font-size: 12px;
      clear: both;
  }


  .flex-container {
    display: flex;
    justify-content: space-between;
  }
  
  .flex-container2 {
    display: flex;
    justify-content: center;
  }

  .flex-container2 > ul {
      padding: 15%;
      padding-top: 0%;
  }

  .flex-container3 {
    display: flex;
    justify-content: space-between;
  }

  .flex-container3 > ul > li {
      padding-top: 25%;
  }

  #warning-message {
      position: fixed;
      left: 0%;
      top: 30%;
      border: 3px solid black;
      margin: 0px 400px;
      padding: 15px 35px;
      background: #f32836;
      font-weight: bold;
      display: none;
  }

  #show-instructions {
    position: fixed;
    left: 0%;
    top: 30%;
    border: 3px solid black;
    margin: 0px 400px;
    padding: 15px 35px;
    background: rgb(199, 199, 199);
    font-weight: bold;
    display: none;
}

#show-upload {
    position: fixed;
    left: 25%;
    top: 35%;
    border: 3px solid black;
    margin: 0px 400px;
    padding: 15px 35px;
    background: rgb(199, 199, 199);
    font-weight: bold;
    display: none;
}

#show-upload2 {
    position: fixed;
    left: 25%;
    top: 35%;
    border: 3px solid black;
    margin: 0px 400px;
    padding: 15px 35px;
    background: rgb(199, 199, 199);
    font-weight: bold;
    display: block;
}

.test {
    width: 25%;
}

@media only screen and (max-width: 775px) {
    #droppable {
        width: 365px;
        height: 420px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }

    #background {
        width: 355px;
        height: 410px;
    }

    #col1 {
        width: 365px;
        height: 625px;
        border: 1px solid black;
    }

    .logo {
        text-align: center;
    }

    .title-text {
        font-size: 25px;
        text-align: center;
    }

    .buttons {
        margin-top: 8px;
        align-items: center;
        text-align: center;
        word-spacing: 15px;
    }
  }

  .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 10%;
  }

  .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
  }

  #warning-message {
    position: fixed;
    left: 0%;
    top: 30%;
    border: 3px solid black;
    margin: 0px 150px;
    padding: 15px 35px;
    background: #f32836;
    font-weight: bold;
    display: none;
  }

  #show-instructions {
    position: fixed;
    left: 0%;
    top: 30%;
    border: 3px solid black;
    margin: 0px 150px;
    padding: 15px 35px;
    background: rgb(199, 199, 199);
    font-weight: bold;
    display: none;
  }

  #show-upload {
    position: fixed;
    left: 25%;
    top: 35%;
    border: 3px solid black;
    margin: 0px 150px;
    padding: 15px 35px;
    background: rgb(199, 199, 199);
    font-weight: bold;
    display: none;
  }

  #show-upload2 {
    position: fixed;
    left: 25%;
    top: 35%;
    border: 3px solid black;
    margin: 0px 150px;
    padding: 15px 35px;
    background: rgb(199, 199, 199);
    font-weight: bold;
    display: block;
  }


  @media only screen and (max-width: 850px) {
    #droppable {
        width: 365px;
        height: 420px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }

    #background {
        width: 355px;
        height: 410px;
    }

    #col1 {
        width: 365px;
        height: 625px;
        border: 1px solid black;
    }

    .logo {
        text-align: center;
    }

    .title-text {
        font-size: 25px;
        text-align: center;
    }

    .buttons {
        margin-top: 8px;
        align-items: center;
        text-align: center;
        word-spacing: 15px;
    }
  }

  .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 10%;
  }

  .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
  }

@media only screen
and (min-width : 1240px) and (max-width : 1289px) {
    #droppable {
        width: 580px;
        height: 610px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }
    #background {
        width: 570px;
        height: 600px;
    }

    #col1 {
        width: 640px;
        height: 610px;
        border: 1px solid black;
    }

    .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 10%;
    }

    .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
    }
}

@media only screen
and (min-width : 1290px) and (max-width : 1339px) {
    #droppable {
        width: 580px;
        height: 610px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }
    #background {
        width: 570px;
        height: 600px;
    }

    #col1 {
        width: 690px;
        height: 610px;
        border: 1px solid black;
    }

    .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 10%;
    }

    .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
    }
}

@media only screen
and (min-width : 1340px) and (max-width : 1389px) {
    #droppable {
        width: 630px;
        height: 620px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }
    #background {
        width: 620px;
        height: 610px;
    }

    #col1 {
        width: 690px;
        height: 620px;
        border: 1px solid black;
    }

    .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 12%;
    }

    .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
    }
}

@media only screen
and (min-width : 1390px) and (max-width : 1439px) {
    #droppable {
        width: 630px;
        height: 620px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }
    #background {
        width: 620px;
        height: 610px;
    }

    #col1 {
        width: 740px;
        height: 620px;
        border: 1px solid black;
    }

    .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 11%;
    }

    .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
    }
}

@media only screen
and (min-width : 1440px) and (max-width : 1489px) {
    #droppable {
        width: 580px;
        height: 610px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }
    #background {
        width: 570px;
        height: 600px;
    }

    #col1 {
        width: 840px;
        height: 610px;
        border: 1px solid black;
    }

    .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 8%;
    }

    .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
    }
}

@media only screen
and (min-width : 1490px) and (max-width : 1539px) {
    #droppable {
        width: 600px;
        height: 670px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }
    #background {
        width: 590px;
        height: 660px;
    }

    #col1 {
        width: 870px;
        height: 670px;
        border: 1px solid black;
    }

    .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 15%;
    }

    .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
    }
}

@media only screen
and (min-width : 1540px) and (max-width : 1589px) {
    #droppable {
        width: 660px;
        height: 730px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }
    #background {
        width: 650px;
        height: 720px;
    }

    #col1 {
        width: 860px;
        height: 730px;
        border: 1px solid black;
    }

    .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 22%;
    }

    .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
    }
}

@media only screen
and (min-width : 1590px) and (max-width : 1639px) {
    #droppable {
        width: 710px;
        height: 780px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }
    #background {
        width: 700px;
        height: 770px;
    }

    #col1 {
        width: 860px;
        height: 780px;
        border: 1px solid black;
    }

    .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 28%;
    }

    .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
    }
}

@media only screen
and (min-width : 1640px) and (max-width : 1689px) {
    #droppable {
        width: 740px;
        height: 820px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }
    #background {
        width: 730px;
        height: 810px;
    }

    #col1 {
        width: 880px;
        height: 820px;
        border: 1px solid black;
    }

    .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 32%;
    }

    .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
    }
}

@media only screen
and (min-width : 1690px) and (max-width : 1739px) {
    #droppable {
        width: 760px;
        height: 840px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }
    #background {
        width: 750px;
        height: 830px;
    }

    #col1 {
        width: 910px;
        height: 840px;
        border: 1px solid black;
    }

    .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 33%;
    }

    .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
    }
}

@media only screen
and (min-width : 1740px) and (max-width : 1789px) {
    #droppable {
        width: 790px;
        height: 850px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }
    #background {
        width: 780px;
        height: 840px;
    }

    #col1 {
        width: 930px;
        height: 850px;
        border: 1px solid black;
    }

    .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 34%;
    }

    .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
    }
}

@media only screen
and (min-width : 1790px) and (max-width : 1839px) {
    #droppable {
        width: 790px;
        height: 850px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }
    #background {
        width: 780px;
        height: 840px;
    }

    #col1 {
        width: 980px;
        height: 850px;
        border: 1px solid black;
    }

    .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 32%;
    }

    .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
    }
}

@media only screen
and (min-width : 1840px) and (max-width : 1889px) {
    #droppable {
        width: 800px;
        height: 850px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }
    #background {
        width: 790px;
        height: 840px;
    }

    #col1 {
        width: 1020px;
        height: 850px;
        border: 1px solid black;
    }

    .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 31%;
    }

    .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
    }
}

@media only screen
and (min-width : 1890px) and (max-width : 1939px) {
    #droppable {
        width: 810px;
        height: 850px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }
    #background {
        width: 800px;
        height: 840px;
    }

    #col1 {
        width: 1060px;
        height: 850px;
        border: 1px solid black;
    }

    .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 29%;
    }

    .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
    }
}

@media only screen
and (min-width : 1940px) and (max-width : 1989px) {
    #droppable {
        width: 820px;
        height: 860px;
        border: 1px solid black;
        /* background-image: url("images/backgrounds/background1.jpg"); */
        /* background-repeat: no-repeat;
        background-size: 800px 610px; */
    }
    #background {
        width: 810px;
        height: 850px;
    }

    #col1 {
        width: 1100px;
        height: 860px;
        border: 1px solid black;
    }

    .remove-draggables {
        width: 100%; 
        height: 130px; 
        background-color: #d9ffcc; 
        margin-top: 27%;
    }

    .remove-draggables-div {
        color: #000; 
        font-size: 20px; 
        text-align: center; 
        padding-top: 45px;
    }
}




/********************************* GALLERY PAGE ********************************/
#uploadContainer {
    display: none;
}

#galleryContainer {
    padding-top: 10px;
}

.galleryButton {
    background: #76bd22;
    border: 2px solid #76bd22;
    color: black;
    padding: 5px;
    border-radius: 10px; 
    outline: none;
}

.galleryButton:hover {
    background: rgb(43, 128, 43);
    border: 2px solid rgb(43, 128, 43);
    color: white;
    padding: 5px;
    border-radius: 10px;
}